@import "vendor/bootstrap/bootstrap/variables";
@import "variables";
@import "utility-classes";

.header-container-content {
  img {
    max-height: 210px;
    padding: 20px;
  }
}

.header-content {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
  position: relative;

  img {
    height: 80px;
    max-width: 300px;
    margin-bottom: 40px;
  }

  p {
    color: $color-transparent-white-alt;
  }
}

.wrapper {
  min-height: 100%;
  margin: 0 auto;
}

.fill-form {
  text-align: center;
  font-size: 23px;
  margin-top: 38px;
}

.action {
  margin: 3% 15% -12%;
}

.centered-form-info {
  margin-bottom: 2em;
  font-size: 20px;
  color: $color-primary;

  &.small-text {
    font-size: 14px;
  }

  a {
    color: inherit;
    text-decoration: underline;
  }
}

.content-section {
  margin-bottom: 80px;
  font-size: 18px;
  line-height: 1.55;

  h3 {
    line-height: 1.4;
  }

  .testimonial {
    h3 {
      color: $color-primary;
    }

    p {
      color: $color-gray-light;
    }
  }

  .testimonial-logo {
    width: 120px;
  }

  a {
    color: inherit;
    font-weight: inherit;
    text-decoration: underline;

    &:hover {
      color: $color-primary-alt;
      text-decoration: underline;
    }
  }

  .cta-btn {
    text-decoration: none;
  }
}

.community {
  .content-container {
    padding-bottom: 100px;
    background-color: $color-white;
    border-top: 1px solid $landing-organization-color;
  }

  .centered-form {
    margin-bottom: 4em;
    width: 100%;

    .centered-form-info {
      padding: 15px;
    }
  }
}

.confirmform {
  border: 1px solid $form-confirm-border;
  font-size: 16px;
  padding: 16px;
  text-align: center;
  background: $form-confirm-background;
  margin-bottom: 5em;
  color: $form-confirm-color;
  width: 100%;

  h3 {
    margin-top: 0;
  }

  p {
    margin-bottom: 0;
  }
}

.open-source-partners-logos-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 20px;
  padding-top: 100px;

  .see-all-link {
    display: none;
    text-align: center;
    margin-top: 50px;
    @media (max-width: $screen-sm-min) {
      display: block;
    }
  }

  p {
    text-align: center;
    font-size: 18px;
    line-height: 1.4;
    color: $color-gray;
    margin: 0;
  }

  .logos-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    padding: 20px 50px;
    width: 100%;
    max-width: 1440px;
    margin: auto;
    overflow: hidden;

    a:hover {
      svg {
        opacity: 1;
        fill: $color-primary;
      }
    }

    svg {
      height: 150px;
      max-width: 300px;
      padding: 20px;
      box-sizing: content-box;
      opacity: 0.4;
      fill: #444;
      transition: $transition-primary;
    }

    @media (max-width: $screen-lg-min) {
      padding: 20px;
    }

    @media (max-width: $screen-sm-min) {
      -webkit-mask-image: -webkit-gradient(
        linear,
        bottom 50%,
        bottom top,
        from(rgba(0, 0, 0, 1)),
        to(rgba(0, 0, 0, 0))
      );
    }
  }

  @media (max-width: $screen-sm-min) {
    max-height: 500px;
  }
}
